View Issue Details

IDProjectCategoryView StatusLast Update
0002871FreeCADBugpublic2017-09-13 11:07
ReporterwmayerAssigned Toickby 
PriorityhighSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version0.17 
Target Version0.17Fixed in Version0.17 
Summary0002871: New DAG implementation reports false-positives and denies to recompute the document
DescriptionNew DAG implementation reports false-positives and denies to recompute the document
Steps To ReproduceIt's important to create a sketch in the PartDesign workbench because when creating one in the Sketcher workbench the error doesn't come up.

1. Create a sketch in PD
2. Add a line (which is added) and the document is marked as touched
3. Press the Recompute button
=> App::Document::recompute(): topological sort fails, invalid DAG!
TagsDAG

Relationships

related to 0002982 closedabdullah PartDesign New sketch on face impossible 

Activities

wmayer

2017-01-22 14:21

administrator   ~0007908

For the moment the old DAG implementation is restored.

wmayer

2017-08-21 19:22

administrator   ~0009982

Will be fixed with https://github.com/FreeCAD/FreeCAD/pull/916

wmayer

2017-09-13 11:07

administrator   ~0010110

https://github.com/FreeCAD/FreeCAD/commit/ab85c6e784e2e3f9fd56344decdab1c70566bc2e

Issue History

Date Modified Username Field Change
2017-01-22 12:39 wmayer New Issue
2017-01-22 12:39 wmayer Status new => assigned
2017-01-22 12:39 wmayer Assigned To => ickby
2017-01-22 14:21 wmayer Note Added: 0007908
2017-02-17 10:56 Kunda1 Tag Attached: DAG
2017-05-31 22:13 Kunda1 Relationship added related to 0002982
2017-05-31 22:14 Kunda1 Target Version => 0.17
2017-08-21 19:22 wmayer Note Added: 0009982
2017-09-13 11:07 wmayer Status assigned => closed
2017-09-13 11:07 wmayer Resolution open => fixed
2017-09-13 11:07 wmayer Fixed in Version => 0.17
2017-09-13 11:07 wmayer Note Added: 0010110